Add signing group members
curl --request POST \
--url https://my.flowsign.app/api/v1/signing-groups/{groupId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/signing-groups/{groupId}/members"
payload = {
"userIds": ["3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"],
"emails": ["tom.rangi@example.co.nz"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}'{
"data": {
"added": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
],
"alreadyMembers": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Signing groups
Add signing group members
Adds workspace members to a signing group by user id, email, or both. Requires canManageSigningGroups.
POST
https://my.flowsign.app
/
api
/
v1
/
signing-groups
/
{groupId}
/
members
Add signing group members
curl --request POST \
--url https://my.flowsign.app/api/v1/signing-groups/{groupId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/signing-groups/{groupId}/members"
payload = {
"userIds": ["3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"],
"emails": ["tom.rangi@example.co.nz"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}'{
"data": {
"added": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
],
"alreadyMembers": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Authorizations
Headers
Required on a key that acts for members, refused on any other key. Names the member the call runs as, as key=value: email=jane@acme.com, employee_id=E-1001, scim_external_id=… or a custom identifier. Keys are lowercase and matched case-insensitively. The call fails with 403 when no active member of the workspace matches.
Body
application/json
Choose people by user id, email address, or both. At least one is required and at most 100 per call across both lists. Each person must be an active member of the workspace: if anyone is not, the call fails and nobody is added.
Was this page helpful?

